# Class FastaExporter

java.lang.Object
jebl.evolution.io.FastaExporter

All Implemented Interfaces:
  `SequenceExporter`

public class FastaExporter extends Object implements SequenceExporter
Class for exporting a fasta file format.

Version:
  $Id: FastaExporter.java 442 2006-09-05 21:59:20Z matt_kearse $
Author:
  Andrew Rambaut, Alexei Drummond

## Constructor Summary

Constructors
Constructor
Description
`FastaExporter(Writer writer)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`exportSequence(Sequence sequence)`
export a sequence.
`void`
`exportSequences(Collection<? extends Sequence> sequences)`
export alignment or set of sequences.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastaExporter

public FastaExporter(Writer writer)
Constructor

## Method Details

### exportSequences

public void exportSequences(Collection<? extends Sequence> sequences) throws IOException
export alignment or set of sequences.

Specified by:
  `exportSequences` in interface `SequenceExporter`
Throws:
  `IOException`

### exportSequence

public void exportSequence(Sequence sequence) throws IOException
export a sequence.

Throws:
  `IOException`